%{!?python3_pkgversion:%global python3_pkgversion 3}

%global module tscli
%global name transtats-cli
%global name_with_underscore transtats_cli
%global sum Transtats command line interface to query transtats server
%global project transtats

Name:           %{name}
Version:        0.1.1
Release:        3%{?dist}
Summary:        %{sum}
License:        ASL 2.0
URL:            https://github.com/%{project}/%{name}
Source0:        https://github.com/%{project}/%{name}/archive/%{version}.tar.gz

BuildArch:      noarch

%description
Transtats command line interface to query transtats server.

%package -n python2-%{name}
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python2-mock
%if 0%{?rhel}
BuildRequires: python-click
BuildRequires: python-requests
BuildRequires: python-six
BuildRequires: python-flake8
Requires: python-click
Requires: python-requests
Requires: python-six
%else
BuildRequires: python2-click
BuildRequires: python2-requests
BuildRequires: python2-six
BuildRequires: python2-flake8
Requires: python2-click
Requires: python2-requests
Requires: python2-six
%endif
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{name}}

%description -n python2-%{name}
Transtats command line interface to query transtats server.

%if 0%{?fedora}
%package -n python3-%{name}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-click
BuildRequires: python%{python3_pkgversion}-requests
BuildRequires: python%{python3_pkgversion}-mock
BuildRequires: python%{python3_pkgversion}-six
BuildRequires: python%{python3_pkgversion}-flake8
Requires: python%{python3_pkgversion}-click
Requires: python%{python3_pkgversion}-requests
Requires: python%{python3_pkgversion}-six
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}

%description -n python3-%{name}
Transtats command line interface to query transtats server.
%endif


%prep
%autosetup
rm -rf *.egg-info

%build
%py2_build
%if 0%{?fedora}
%py3_build
%endif

%install
%if 0%{?fedora}
%py3_install
mv %{buildroot}/%{_bindir}/%{project} %{buildroot}/%{_bindir}/%{project}-3
ln -s %{project}-3 %{buildroot}/%{_bindir}/%{project}-%{python3_version}
rm -fr %{buildroot}%{python3_sitelib}/tests
%endif
%py2_install
ln -s %{project} %{buildroot}/%{_bindir}/%{project}-2
ln -s %{project}-2 %{buildroot}/%{_bindir}/%{project}-%{python2_version}
rm -fr %{buildroot}%{python2_sitelib}/tests


%check
%{__python2} setup.py flake8 test
%if 0%{?fedora}
%{__python3} setup.py flake8 test
%endif

%files -n python2-%{name}
%doc README.md transtats.conf
%license LICENSE
%{_bindir}/%{project}
%{_bindir}/%{project}-2
%{_bindir}/%{project}-%{python2_version}
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_mandir}/man1/transtats.1.gz

%if 0%{?fedora}
%files -n python3-%{name}
%doc README.md transtats.conf
%license LICENSE
%{_bindir}/%{project}
%{_bindir}/%{project}-3
%{_bindir}/%{project}-%{python3_version}
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_mandir}/man1/transtats.1.gz
%endif

%changelog
* Wed Nov 15 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.1-3
- Update transtats-cli to version 0.1.1, update endpoints

* Wed Oct 11 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.0-4
- Fix Python 3 dependency from python2-transtats-cli
Resolves: rhbz#1495860

* Wed Sep 13 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-3
- Add man page to transtats-cli

* Tue Sep 12 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-2
- Update Spec file for py2 and py3

* Thu Sep 07 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-1
- Initial RPM Packaging
